Package voltage.processors

# Class SaturatedAnalogFilter

java.lang.Object
voltage.processors.SaturatedAnalogFilter

public class SaturatedAnalogFilter extends Object
Another filter simulating analog circuits adding pleasant sound harmonics.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SaturatedAnalogFilter()`
  Constructs a SaturatedAnalogFilter

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `GetBandpassValue()`
  Gets the current band pass filter value.
  `double`
  `GetHighpassValue()`
  Gets the current high pass filter value.
  `double`
  `GetLowpassValue()`
  Gets the current low pass filter value
  `void`
  `ProcessSample(double input)`
  Process a sample.
  `void`
  `Reset()`
  Resets the filter.
  `void`
  `SetCutoff(double newFrequency)`
  Sets the cutoff frequency.
  `void`
  `SetFourPole()`
  Sets the analog filter to be a four pole filter.
  `void`
  `SetResonance(double newResonance)`
  Sets the filter's resonance
  `void`
  `SetTwoPole()`
  Sets the analog filter to be a two pole filter.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SaturatedAnalogFilter

    public SaturatedAnalogFilter()
    Constructs a SaturatedAnalogFilter

- ## Method Details

  - ### SetCutoff

    public void SetCutoff(double newFrequency)
    Sets the cutoff frequency.
    Parameters:
      `newFrequency` - the cutoff frequency from 0 to 24,000 Hz.

  - ### SetResonance

    public void SetResonance(double newResonance)
    Sets the filter's resonance
    Parameters:
      `newResonance` - the resonance amount from 0 to 1.0

  - ### SetTwoPole

    public void SetTwoPole()
    Sets the analog filter to be a two pole filter.

  - ### SetFourPole

    public void SetFourPole()
    Sets the analog filter to be a four pole filter.

  - ### ProcessSample

    public void ProcessSample(double input)
    Process a sample. Usually called once in VoltageModule.ProcessSample()
    Parameters:
      `input` - input sample
    See Also:
      - `VoltageModule.ProcessSample()`

  - ### GetLowpassValue

    public double GetLowpassValue()
    Gets the current low pass filter value
    Returns:
      the low pass value. (-5 to 5 )

  - ### GetBandpassValue

    public double GetBandpassValue()
    Gets the current band pass filter value.
    Returns:
      the hand pass filter value (-5 to 5)

  - ### GetHighpassValue

    public double GetHighpassValue()
    Gets the current high pass filter value.
    Returns:
      the high pass filter value (-5 to 5)

  - ### Reset

    public void Reset()
    Resets the filter.